CREATE OR REPLACE VIEW food600.ssk__pol
 AS
 SELECT sk__pol.c_uzaverka,
    sk__pol.ucet,
    sk__pol.c_stredisk,
    sk__pol.c_karty,
    sk__pol.prachy,
    sk__pol.prachy_puv,
    sk__pol.dan,
    sk__pol.dan_sazba,
    sk__pol.mnozstvi,
    sk__pol.cen_hlad,
    sk__pol.k_odpoctu,
    sk__pol.poradi,
    sk__pol.dotacia,
    sk__pol.dil_porce,
    sk__pol.id_fmenu,
    sk__pol.c_data,
    sk__pol.kompez,
    sk__pol.stor_mno,
    sk__pol.id_karty,
    sk__pol.sleva_pol,
    sk__pol.sleva_txt,
    sk__pol.jc,
    sk__pol.id_rov,
    sk__pol.idriadok,
    cc.nazev,
        CASE
            WHEN cc.c_druhk::numeric <> 0::numeric THEN cc.c_druhk
            WHEN cc.c_druh::numeric <> 0::numeric THEN cc.c_druh
            ELSE 0
        END AS c_druh
   FROM food600.sk__pol
     JOIN food600.karty cc ON sk__pol.c_karty = cc.c_karty
  WHERE sk__pol.kompez = 0
UNION
 SELECT sk__pol.c_uzaverka,
    sk__pol.ucet + 100000 AS ucet,
    sk__pol.c_stredisk,
    sk__pol.c_karty,
    sk__pol.prachy,
    sk__pol.prachy_puv,
    sk__pol.dan,
    sk__pol.dan_sazba,
    sk__pol.mnozstvi,
    sk__pol.cen_hlad,
    sk__pol.k_odpoctu,
    sk__pol.poradi,
    sk__pol.dotacia,
    sk__pol.dil_porce,
    sk__pol.id_fmenu,
    sk__pol.c_data,
    sk__pol.kompez,
    sk__pol.stor_mno,
    sk__pol.id_karty,
    sk__pol.sleva_pol,
    sk__pol.sleva_txt,
    sk__pol.jc,
    sk__pol.id_rov,
    sk__pol.idriadok,
    cc.nazev,
        CASE
            WHEN cc.c_druhk::numeric <> 0::numeric THEN cc.c_druhk
            WHEN cc.c_druh::numeric <> 0::numeric THEN cc.c_druh
            ELSE 0
        END AS c_druh
   FROM food600.sk__pol
     JOIN food600.karty cc ON sk__pol.c_karty = cc.c_karty
     JOIN food600.sskpltkompez ON sk__pol.c_uzaverka = sskpltkompez.c_uzaverka AND sk__pol.ucet = sskpltkompez.ucet
  WHERE sk__pol.kompez = 1 AND sskpltkompez.cena_pl <> 0::numeric
UNION
 SELECT sk__pol.c_uzaverka,
    sk__pol.ucet,
    sk__pol.c_stredisk,
    sk__pol.c_karty,
    sk__pol.prachy,
    sk__pol.prachy_puv,
    sk__pol.dan,
    sk__pol.dan_sazba,
    sk__pol.mnozstvi,
    sk__pol.cen_hlad,
    sk__pol.k_odpoctu,
    sk__pol.poradi,
    sk__pol.dotacia,
    sk__pol.dil_porce,
    sk__pol.id_fmenu,
    sk__pol.c_data,
    0 AS kompez,
    sk__pol.stor_mno,
    sk__pol.id_karty,
    sk__pol.sleva_pol,
    sk__pol.sleva_txt,
    sk__pol.jc,
    sk__pol.id_rov,
    sk__pol.idriadok,
    cc.nazev,
        CASE
            WHEN cc.c_druhk::numeric <> 0::numeric THEN cc.c_druhk
            WHEN cc.c_druh::numeric <> 0::numeric THEN cc.c_druh
            ELSE 0
        END AS c_druh
   FROM food600.sk__pol
     JOIN food600.karty cc ON sk__pol.c_karty = cc.c_karty
     JOIN food600.sskpltkompez ON sk__pol.c_uzaverka = sskpltkompez.c_uzaverka AND sk__pol.ucet = sskpltkompez.ucet
  WHERE sk__pol.kompez = 1 AND sskpltkompez.cena_pl = 0::numeric;

